curl --request POST \
--url https://api.streamkap.com/sources/{source_id}/deploy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/sources/{source_id}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/sources/{source_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"connector": "<string>",
"id": "<string>",
"connector_display_name": "<string>",
"created_timestamp": "<string>",
"sub_id": "<string>",
"tenant_id": "<string>",
"service_id": "<string>",
"config": {
"database.hostname.user.defined": "<string>",
"database.port.user.defined": "5432",
"database.user": "<string>",
"database.password": "<string>",
"database.dbname": "<string>",
"signal.data.collection.schema.or.database": "<string>",
"slot.name": "streamkap_pgoutput_slot",
"publication.name": "streamkap_pub",
"schema.include.list": "<string>",
"table.include.list.user.defined": "<string>",
"ssh.host": "<string>",
"ssh.port": "22",
"ssh.user": "streamkap",
"ssh.public.key.user.displayed": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJVbRrHqNN3SyIYnNF46SMd+ArZz+QheAtjnQzKiBWrc",
"transforms.ValueToKey.fields.include.list": "<string>",
"transforms.ValueToKey.replace.null.with.default": true,
"preserve.null.values": false,
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": true,
"InsertTopicName.enabled": false,
"snapshot.read.only.user.defined": "Yes",
"column.include.list.toggled": true,
"column.include.list.user.defined": "<string>",
"column.exclude.list.user.defined": "<string>",
"heartbeat.enabled": true,
"heartbeat.data.collection.schema.or.database": "<string>",
"reselector.reselect.error.handling.mode": "fail",
"post.processors.reselect.enabled": true,
"database.sslmode": "require",
"include.source.db.name.in.table.name.user.defined": false,
"binary.handling.mode": "bytes",
"transforms.InsertStaticKey1.static.field": "<string>",
"transforms.InsertStaticKey1.static.value": "<string>",
"transforms.InsertStaticValue1.static.field": "<string>",
"transforms.InsertStaticValue1.static.value": "<string>",
"transforms.InsertStaticKey2.static.field": "<string>",
"transforms.InsertStaticKey2.static.value": "<string>",
"transforms.InsertStaticValue2.static.field": "<string>",
"transforms.InsertStaticValue2.static.value": "<string>",
"predicates.IsTopicToEnrich.pattern": "$^",
"ssh.enabled": false
},
"topic_ids": [
"<string>"
],
"topic_map": {},
"topics": [
"<string>"
],
"tasks": [
123
],
"connector_status": "<string>",
"desired_state": "<string>",
"kc_cluster_id": "<string>",
"task_statuses": {},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deploy Source
Deploy a PENDING source, transitioning it to ACTIVE.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Source connector configuration and status.
User-defined connector name
Connector type (e.g., 'postgresql', 'mysql', 'mongodb')
Unique identifier
Human-readable connector type name
Creation timestamp (ISO 8601)
Subscription identifier
Tenant identifier for multi-tenancy
Associated service identifier
Configuration properties for the AlloyDB source connector.
- AlloyDB
- Db2
- DocumentDB
- DynamoDB
- ElasticSearch
- Informix
- Kafka Direct
- MariaDB
- MongoDB Atlas
- MySQL
- Oracle
- Planetscale Vitess
- PostgreSQL
- S3
- SQL Server
- Salesforce CDC
- Shopify
- Stripe
- Supabase
- Vitess
- Webhook
- Zendesk Webhook
Show child attributes
Show child attributes
List of associated topic identifiers
Mapping of topics to their partitions or related entities
Show child attributes
Show child attributes
List of topic names
List of task identifiers
Current status: Active, Paused, Stopped, Broken, Starting, Unassigned, Unknown, Pending
Desired state: Pending, Active, Paused, Stopped
KC cluster this connector is deployed to. None means default cluster.
Status information for each connector task
Show child attributes
Show child attributes
List of tag IDs assigned to this source
Was this page helpful?